Foxit PDF SDK

Instance Methods | List of all members
FSCombineDocumentInfo Class Reference
Inheritance diagram for FSCombineDocumentInfo:

## Instance Methods
(id) | - initWithDoc:
| Constructor, with parameters. More...
(id) | - initWithFile_path:password:
| Constructor, with parameters. More...
(id) | - initWithOther:
| Constructor, with another information object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - setBookmarkTitle:
| Set the title of a new parent bookmark for the root bookmark of related source PDF document in combined result file. More...
(void) | - setPDFFileName:
| Set the name of the PDF file, which will be combined with other PDF files. More...

## Detailed Description

This class represents information of source PDF file which is to be combined with other PDF files.

## Method Documentation

## ◆ initWithDoc:()

- (id) initWithDoc: |  | (FSPDFDoc*) | doc |

Constructor, with parameters.

This constructor does not check the validity of input PDF file and the check will be done in function FSCombination::startCombineDocuments:document_array:options:pause:.

Parameters

  [in] | doc | A valid PDF document object which represents a PDF file to be combined with other PDF files. Please ensure input PDF document object have been loaded; otherwise unknown error may occur later when current information object is used.

## ◆ initWithFile_path:password:()

- (id) initWithFile_path: |  | (NSString *) | file_path
password: |  | (NSString *) | password

Constructor, with parameters.

This constructor does not check the validity of input PDF file and the check will be done in function FSCombination::startCombineDocuments:document_array:options:pause:.

Parameters

  [in] | file_path | File path of a PDF file, which is to be combined with other PDF files.
  [in] | password | Owner password of PDF file which is specified by parameter file_path.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSCombineDocumentInfo*) | other |

Constructor, with another information object.

Parameters

  [in] | other | Another information object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ setBookmarkTitle:()

- (void) setBookmarkTitle: |  | (NSString *) | bookmark_title |

Set the title of a new parent bookmark for the root bookmark of related source PDF document in combined result file.

This function is to set the bookmark title for a new bookmark in combined result file, if option value FSCombinationCombineDocsOptionBookmark is used for combination and related source PDF file has any bookmark. The new bookmark will be used as a parent bookmark and root bookmark of related source PDF doucment will be inserted to be the child node of the new parent bookmark in combined result PDF file.
If no bookmark title is set or an empty title is set, GSDK will generate a bookmark title automatically during combination process which is started by function FSCombination::startCombineDocuments:document_array:options:pause:.

Parameters

  [in] | bookmark_title | Title of a new parent bookmark which is used in combined result PDF file.

Returns
  None.

## ◆ setPDFFileName:()

- (void) setPDFFileName: |  | (NSString *) | pdf_file_name |

Set the name of the PDF file, which will be combined with other PDF files.

This function is invalid if the constructor FSCombineDocumentInfo::initWithOther: with a file path parameter is called. If option value FSCombinationCombineDocsOptionOCProperties is used for combination and the PDF file to be combined has multiple layers, then the PDF file name to be set will be shown on the root node of the combined PDF file's layers.

Parameters

  [in] | pdf_file_name | The name of the PDF file, which will be combined with other PDF files.

Returns
  None.